/****** Object:  Trigger [dbo].[CancelarReserva]    Script Date: 09/02/2021 11:10:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE TRIGGER [dbo].[CancelarReserva] 
   ON  [dbo].[tbSaidaVolume] 
   AFTER DELETE
AS 
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    -- Insert statements for trigger here
			delete
				Res
			from
				TbEstoqueReserva Res
				inner join Deleted as i on
					Res.CdRegistro = I.cdVolume
END
GO

ALTER TABLE [dbo].[tbSaidaVolume] ENABLE TRIGGER [CancelarReserva]
GO

Alter Table TbIntegracaoSaidaAuditoriaItec
	Alter Column Rota Int

Alter Table Saida_Leg
	Alter Column Rota Int
	
IF not EXISTS( SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TbEntradaLote' AND  COLUMN_NAME = 'PrintEan') begin
	Alter Table TbEntradaLote
	   Add PrintEan INT Default(0)
	End;	

if Not Exists (Select CdParametro from tbParametro Where nmParametro = 'saiBeepLoteSNGPC')
   Insert Into TbParametro Values (Coalesce((select Max(CdParametro) From TbParametro), 0)+1, 'saiBeepLoteSNGPC', 0)


IF not EXISTS( SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TbEnderecoSetor' AND  COLUMN_NAME = 'BeepLoteSNGPC') begin
	Alter Table TbEnderecoSetor
	   Add BeepLoteSNGPC Bit Default(0)
	End;	   
	
IF not EXISTS( SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TbSeparacaoVolumePrd' AND  COLUMN_NAME = 'BeepLoteSNGPC') begin
	Alter Table TbSeparacaoVolumePrd
	   Add BeepLoteSNGPC Bit Default(0)
End;

/****** Object:  View [dbo].[vwProduto]    Script Date: 17/03/2021 19:31:12 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

ALTER VIEW [dbo].[vwProduto]
AS
SELECT        prd.cdProduto, prd.nmProduto, COALESCE (ean.nmEAN, '') AS nmEAN, prd.Embalagem, prd.Altura, prd.Largura, prd.Comprimento, prd.Volume, prd.Peso, prd.Liquido, COALESCE (prd.EstoqueMinimo, 0) AS EstoqueMinimo, 
                         COALESCE (prd.EstoqueMaximo, 0) AS EstoqueMaximo, COALESCE (prd.ValidadeMinimaEntrada, prm1.entValidadeMinimaPadrao) AS ValidadeMinimaEntrada, DATEADD(month, COALESCE (prd.ValidadeMinimaEntrada, 
                         prm1.entValidadeMinimaPadrao), DATEADD(d, 0, DATEDIFF(d, 0, GETDATE()))) AS dtValidadeMinimaEntrada, COALESCE (prd.ValidadeMinimaSaida, prm2.saiValidadeMinimaPadrao) AS ValidadeMinimaSaida, DATEADD(month, 
                         COALESCE (prd.ValidadeMinimaSaida, prm2.saiValidadeMinimaPadrao), DATEADD(d, 0, DATEDIFF(d, 0, GETDATE()))) AS dtValidadeMinimaSaida, fbr.cdFabricante, fbr.nmFabricante, COALESCE (edr.cdEndereco, 0) 
                         AS cdEndereco, COALESCE (edr.nmEndereco, '') AS nmEndereco, TpE.NmEnderecoTipo, COALESCE (str.cdEnderecoSetor, 0) AS cdEnderecoSetor, COALESCE (str.nmEnderecoSetor, 'SEM ENDEREÇO') AS nmEnderecoSetor, 
                         COALESCE (rua.cdEnderecoRua, 0) AS cdEnderecoRua, COALESCE (rua.nmEnderecoRua, '') AS nmEnderecoRua, cnt1.cdProdutoControle, cnt1.nmProdutoControle, 
                         Str.ControlSNGPC, Str.BeepLoteSNGPC
FROM            tbProduto AS prd WITH (READUNCOMMITTED) INNER JOIN
                         tbProdutoControle AS cnt1 ON prd.cdProdutoControle = cnt1.cdProdutoControle INNER JOIN
                         tbFabricante AS fbr ON prd.cdFabricante = fbr.cdFabricante LEFT JOIN
                         tbProdutoEAN AS ean WITH (READUNCOMMITTED) ON prd.cdProduto = ean.cdProduto AND ean.Principal = 1 LEFT JOIN
                         tbEndereco AS edr ON prd.cdEndereco = edr.cdEndereco LEFT JOIN
                         TbEnderecoTipo TpE ON Edr.cdEnderecoTipo = TpE.cdEnderecoTipo LEFT JOIN
                         tbEnderecoSetor AS str ON edr.cdEnderecoSetor = str.cdEnderecoSetor LEFT JOIN
                         tbEnderecoRua AS rua ON edr.cdEnderecoRua = rua.cdEnderecoRua LEFT JOIN
                         tbProdutoControle AS cnt2 ON str.cdProdutoControle = cnt2.cdProdutoControle CROSS apply
                             (SELECT        CAST(vlParametro AS int) AS entValidadeMinimaPadrao
                               FROM            tbParametro
                               WHERE        nmParametro = 'entValidadeMinimaPadrao') AS prm1 CROSS apply
                             (SELECT        CAST(vlParametro AS int) AS saiValidadeMinimaPadrao
                               FROM            tbParametro
                               WHERE        nmParametro = 'saiValidadeMinimaPadrao') AS prm2
GO


